<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_bg"
    android:clipToPadding="true"
    android:fitsSystemWindows="true"
    android:orientation="vertical">

    <include
        android:id="@+id/actionbar"
        layout="@layout/sign_actionbar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/sign_actionbar_height" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginLeft="10dp"
        android:layout_marginTop="10dp"
        android:layout_marginRight="10dp"
        android:layout_weight="1"
        android:background="@drawable/sign_bg_shape"
        android:padding="10dp">

        <com.za.signature.view.HVScrollView
            android:id="@+id/sv_container"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:fadingEdge="none">

            <com.za.signature.view.HandWriteEditView
                android:id="@+id/et_view"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@null" />
        </com.za.signature.view.HVScrollView>

    </RelativeLayout>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/ll_tip"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:layout_marginTop="5dp"
        android:gravity="center"
        android:orientation="horizontal">

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:alpha="0.5"
            android:gravity="center"
            android:text="请务必"
            android:textColor="@color/red"
            android:textSize="15.dp"
            android:textStyle="bold" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_tip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="逐字、正楷"
            android:textColor="@color/red"
            android:textSize="15.dp"
            android:textStyle="bold" />

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:alpha="0.5"
            android:gravity="center"
            android:text="填写"
            android:textColor="@color/red"
            android:textSize="15.dp"
            android:textStyle="bold" />

    </androidx.appcompat.widget.LinearLayoutCompat>

    <LinearLayout
        android:id="@+id/bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="10dp"
        android:background="@drawable/sign_bg_shape"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:padding="10dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/sign_grid_toolbar_height"
            android:gravity="center"
            android:orientation="horizontal">

            <RelativeLayout
                android:id="@+id/circle_container"
                android:layout_width="@dimen/sign_tool_icon_size"
                android:layout_height="@dimen/sign_tool_icon_size"
                android:layout_weight="1"
                android:visibility="gone">

                <com.za.signature.view.CircleView
                    android:id="@+id/pen_color"
                    android:layout_width="@dimen/sign_tool_icon_size"
                    android:layout_height="@dimen/sign_tool_icon_size"
                    android:layout_centerInParent="true"
                    app:showOutBorder="true"
                    app:sizeLevel="2" />
            </RelativeLayout>

            <com.za.signature.view.CircleImageView
                android:id="@+id/clear"
                android:layout_width="@dimen/sign_tool_icon_size"
                android:layout_height="@dimen/sign_tool_icon_size"
                android:layout_weight="1"
                android:src="@mipmap/sign_ic_clear"
                app:civ_border_width="1dp" />

            <com.za.signature.view.CircleImageView
                android:id="@+id/space"
                android:layout_width="@dimen/sign_tool_icon_size"
                android:layout_height="@dimen/sign_tool_icon_size"
                android:layout_weight="1"
                android:src="@mipmap/sign_ic_space"
                android:visibility="gone" />

            <com.za.signature.view.CircleImageView
                android:id="@+id/enter"
                android:layout_width="@dimen/sign_tool_icon_size"
                android:layout_height="@dimen/sign_tool_icon_size"
                android:layout_weight="1"
                android:src="@mipmap/sign_ic_enter"
                android:visibility="gone" />

            <com.za.signature.view.CircleImageView
                android:id="@+id/delete"
                android:layout_width="@dimen/sign_tool_icon_size"
                android:layout_height="@dimen/sign_tool_icon_size"
                android:layout_weight="1"
                android:src="@mipmap/sign_ic_delete" />

        </LinearLayout>


        <com.za.signature.view.GridPaintView
            android:id="@+id/paint_view"
            android:layout_width="@dimen/sign_grid_size"
            android:layout_height="@dimen/sign_grid_size" />

    </LinearLayout>


</LinearLayout>
